Groovy 1.7.10

## org.codehaus.groovy.antlr
[Java] Class UnicodeLexerSharedInputState

    java.lang.Object
      antlr.LexerSharedInputState
          org.codehaus.groovy.antlr.UnicodeLexerSharedInputState

    public class UnicodeLexerSharedInputState
    extends LexerSharedInputState

GRECLIPSE-805 Support for unicode escape sequences

created:
  Mar 3, 2011

Authors:
  Andrew Eisenberg

Field Summary

Fields inherited from class LexerSharedInputState
guessing

Constructor Summary
`UnicodeLexerSharedInputState(UnicodeEscapingReader in)`

Method Summary
`int` | `getColumn()`
`int` | `getTokenStartColumn()`

Methods inherited from class LexerSharedInputState
reset, getLine, getColumn, getFilename, getTokenStartColumn, getTokenStartLine, getInput, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### UnicodeLexerSharedInputState

    public UnicodeLexerSharedInputState(UnicodeEscapingReader in)

Method Detail

### getColumn

    @Override
    public int getColumn()

### getTokenStartColumn

    @Override
    public int getTokenStartColumn()

Copyright © 2003-2010 The Codehaus. All rights reserved.